var logoWidth = document.getElementById('logo_balk').offsetWidth;

/**
 *  Main onload handler
 */

function init(){
	addListeners();
	animation();
}

function animation(){
//we set visibility:hidden in the CSS to avoid an initial flash - make them visible now, but the from() tweens are going to essentially hide them anyway because their stroke position/length will be 0.
TweenMax.set(".white-line, .white-line-thin, .plugin-stroke, .text, .photo-overlay", {visibility:"visible"});

TweenMax.set(".text", {autoAlpha:0, visibility:"visible"});
TweenMax.set(".photo-overlay", {autoAlpha:1});
TweenMax.set("#detailtjes", {autoAlpha:0});


TweenMax.set(["#overlay"], {autoAlpha:1});

//SugarCubes
TweenMax.fromTo(["#Een"], 1.5, {  drawSVG:"100% 100%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 0.5});

TweenMax.fromTo(["#EenA"], 1.5, {  drawSVG:"40% 40%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 0.8});
TweenMax.fromTo(["#EenB"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 2});
TweenMax.fromTo(["#EenC"], .4, {  drawSVG:"100% 100%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 1.9});
TweenMax.fromTo(["#EenD"], .4, {  drawSVG:"100% 100%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 2.1});
TweenMax.fromTo(["#EenEtiket"], 1, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 1});

TweenMax.fromTo(["#TweeA"], 1.5, {  drawSVG:"40% 40%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 1.2});
TweenMax.fromTo(["#TweeB"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 2.4});
TweenMax.fromTo(["#TweeC"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 2.4});
TweenMax.fromTo(["#TweeD"], .5, {  drawSVG:"100% 100%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 2.4});
TweenMax.fromTo(["#TweeE"], .5, {  drawSVG:"100% 100%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 2.2});
TweenMax.fromTo(["#TweeF"], .5, {  drawSVG:"100% 100%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 1.9});
TweenMax.fromTo(["#TweeEtiket"], 1, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 1.5});

TweenMax.fromTo(["#DrieA"], 1.5, {  drawSVG:"60% 60%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 1.9});
TweenMax.fromTo(["#DrieB"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3});
TweenMax.fromTo(["#DrieC"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3});
TweenMax.fromTo(["#DrieD"], .5, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3.2});
TweenMax.fromTo(["#DrieE"], .7, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3.4});
TweenMax.fromTo(["#DrieF"], .7, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 2.9});
TweenMax.fromTo(["#DrieG"], .7, {  drawSVG:"50% 50%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 2.9});
TweenMax.fromTo(["#DrieH"], .7, {  drawSVG:"50% 50%"}, {ease:Power1.easeInOut, drawSVG:"0% 100%", delay: 2.9});
TweenMax.fromTo(["#DrieI"], 1.5, {  drawSVG:"80% 80%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 2.5});
TweenMax.fromTo(["#DrieJ"], 1.5, {  drawSVG:"80% 80%"}, {ease:Power1.easeInOut, drawSVG:"100% 0%", delay: 3});
TweenMax.fromTo(["#DrieK", "#DrieL", "#DrieM", "#DrieN", "#DrieO"], 0.8, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 2.5});
TweenMax.fromTo(["#DrieP", "#DrieQ", "#DrieR", "#DrieS", "#DrieT"], 0.8, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3});
TweenMax.fromTo(["#DrieU", "#DrieV", "#DrieW", "#DrieX"], 0.8, {  drawSVG:"0%"}, {ease:Power1.easeInOut, drawSVG:"100%", delay: 3});


}



var tl = new TimelineLite({})

// tl.addPause()
.to("#overlay ", 1,  {autoAlpha:0}, 0.5)
.to("#skewedWrapper ", 2.8,  {x:700, ease:Power1.easeInOut}, 2.6 )
.to("#skewedImg ", 2.8,  {x:-700, ease:Power1.easeInOut}, 2.6 )

.to("#txt1 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 0 )
.to("#txt1 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 2 )
.to("#txt2 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 3 )
.to("#txt2 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 6 )
.to("#txt3 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 7 )
.to("#txt3 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 9 )
.to("#txt4 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn},10 )

.from("#logo_balk ", 1,  {x:250, ease:Power2.easeInOut},11.8 )

TweenLite.render(); //lazy rendering (a performance optimization) can cause the initial render to be delayed by 1 tick, causing the logo to be visible for a brief moment, so we force a render here immediately. Another option would be to set lazy:false on the tween(s), but this is easier/faster.

addListeners = function() {
	exit.addEventListener('click', ExitHandler, false);

}



ExitHandler = function(e) {
	//Call Exits
	EB.clickthrough();
}
