

/**
 *  Main onload handler
 */

function init(){
	addListeners();
	animation();
	details();
}

function animation(){
//we set visibility:hidden in the CSS to avoid an initial flash - make them visible now, but the from() tweens are going to essentially hide them anyway because their stroke position/length will be 0.
TweenMax.set(".white-line, .white-line-thin, .plugin-stroke, .text, .photo-overlay", {visibility:"visible"});

TweenMax.set(".text", {autoAlpha:0, visibility:"visible"});
TweenMax.set(".photo-overlay", {autoAlpha:1});
TweenMax.set("#detailtjes", {autoAlpha:0});


TweenMax.set(["#overlay"], {autoAlpha:1});

//SugarCubes
TweenMax.fromTo(["#Een"], 1.5, {  drawSVG:"80% 80%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 0.5});
TweenMax.fromTo(["#Twee"], 1.5, {  drawSVG:"65% 65%"}, {ease:Power1.easeIn, drawSVG:"100% 0%", delay: 1});
TweenMax.fromTo(["#Drie"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 1.1});
TweenMax.fromTo(["#Vier", "#Vijf"], 1, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 1.6});
TweenMax.fromTo(["#Zes"], 1.8, {  drawSVG:"50% 50%"}, {drawSVG:"100% 0%", delay: 2});
TweenMax.fromTo(["#Zeven"], 1.2, {  drawSVG:"0%"}, {drawSVG:"100%", delay: 2});
TweenMax.fromTo(["#Acht"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.3});
TweenMax.fromTo(["#Negen"], 1.2, {  drawSVG:"50% 50%"}, {drawSVG:"100% 0%", delay: 2.3});
TweenMax.fromTo(["#Tien"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.3});
TweenMax.fromTo(["#Elf"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.6});
TweenMax.fromTo(["#Twaalf"], 0.4, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.9});
TweenMax.fromTo(["#Dertien"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.1});
TweenMax.fromTo(["#Veertien"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.5});
TweenMax.fromTo(["#Vijftien", "#Zestien"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.8});
TweenMax.fromTo(["#Zeventien"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 2.8});
TweenMax.fromTo(["#Achttien"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 3});
TweenMax.fromTo(["#Negentien"], 1.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 3.2});
TweenMax.fromTo(["#Twintig"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 3.2});
TweenMax.fromTo(["#Eenentwintig", "#Tweeentwintig"], 0.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 3.2});
TweenMax.fromTo(["#Drieentwintig"], 1, {  drawSVG:"30% 30%"}, {drawSVG:"100% 0%", delay: 3.4});
TweenMax.fromTo(["#Vierentwintig"], 1, {  drawSVG:"0%"}, {drawSVG:"100%", delay: 3.6});
TweenMax.fromTo(["#Vijfentwintig"], 2.5, {  drawSVG:"100% 100%"}, {drawSVG:"100% 0%", delay: 3.5});
TweenMax.fromTo(["#Zesentwintig"], 1.3, {  drawSVG:"0%"}, {drawSVG:"100%%", delay: 3.9});
TweenMax.fromTo(["#Zevenentwintig"], 1.3, {  drawSVG:"0%"}, {drawSVG:"100%%", delay: 3.9});

}

function details(){
	TweenMax.fromTo([".klein1"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 1});
	TweenMax.fromTo([".klein2"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 2});
	TweenMax.fromTo([".klein3"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 2});
	TweenMax.fromTo([".klein4"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 2.5});
	TweenMax.fromTo([".klein5"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 2.5});
	TweenMax.fromTo([".klein6"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 3.3});
	TweenMax.fromTo([".klein7"], 1.5, {  drawSVG:"0%"}, {ease:Power1.easeIn, drawSVG:"100%", delay: 3.5});
	TweenMax.to(["#detailtjes"], 3, {autoAlpha:1, delay: 3.5});
}


var tl = new TimelineLite({})

// tl.addPause()
.to("#overlay ", 1,  {autoAlpha:0}, 0.5)
.from("#skewedWrapper ", 2,  {x:-1000, ease:Power2.easeInOut}, 2.6)
.from("#skewedImg ", 2,  {x:1000, ease:Power2.easeInOut}, 2.6 )
.from("#logo_balk ", 1,  {x:670, ease:Power2.easeOut}, 9.5 )

.to("#txt1 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 1 )
.to("#txt1 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 3 )
.to("#txt2 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 4 )
.to("#txt2 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 6 )
.to("#txt3 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn}, 7 )
.to("#txt3 ", 1.6,  {autoAlpha:0, ease:Power1.easeOut}, 9 )
.to("#txt5 ", 0.5,  {autoAlpha:1, ease:Power1.easeIn},10 )

TweenLite.render(); //lazy rendering (a performance optimization) can cause the initial render to be delayed by 1 tick, causing the logo to be visible for a brief moment, so we force a render here immediately. Another option would be to set lazy:false on the tween(s), but this is easier/faster.

addListeners = function() {
	exit.addEventListener('click', ExitHandler, false);

}



ExitHandler = function(e) {
	//Call Exits
	EB.clickthrough();
}
